#include "mbed.h"
DigitalOut myled(LED1);
DigitalOut v(p16);
DigitalIn sw(p21);
void sound(float time, float delta) {
    delta *= 2.0;
    int maxn = (int)time / delta;
    for(int i = 0; i < maxn; i++) {
        v = 1;
        wait(delta);
        v = 0;
        wait(delta);
    }
}
int main() {
    v = 0;
    sw.mode(PullUp);
    bool old = sw;
    bool now = old;
    while(1) {
        now = sw;
        if(now != old) {
            if(!now)
                sound(1.0, 0.02);
            old = now;
        }
        myled = 1;
        wait(0.1);
        myled = 0;
        wait(0.1);
    }
}
