#include "mbed.h"
#include "rtos.h"
#include "USBSerial.h"
DigitalOut myled(LED1);
USBSerial serial;
int ndata = 10;
float data[] = {67.11f, 67.41f, 78.26f, 32.19f, 45.72f, 9.48f, 90.15f,74.41f, 10.89f, 14.75f};
void receiver(void const *argument) {
    while(1) {
        if(serial.available()) {
            char c = serial.getc();
            if (c == 'T' || c == 't')
            for(int i = 0; i < ndata; i++)
                serial.printf("%f\n", data[i]);
        }
    }
}
int main() {
    Thread thread(receiver);
    serial.printf("USBSerial3\n");
    while(1) {
        myled = 1;
        wait(0.2);
        myled = 0;
        wait(0.2);
    }
}
