#include "mbed.h"
#include "rtos.h"
DigitalOut myled(LED1);
DigitalOut led(LED4);
Serial pc(USBTX, USBRX); // tx, rx
int ndata = 10;
float data[] = {67.11f, 67.41f, 78.26f, 32.19f, 45.72f,9.48f, 90.15f, 74.41f, 10.89f, 14.75f};
void receiver(void const *argument) {
    while(1) {
        char c = pc.getc();
        switch (c){
        case 'T':
        case 't':
            for(int i = 0; i < ndata; i++)
                pc.printf("%f\n", data[i]);
            break;
        case 'H':
            led = 1;
            pc.printf("H OK\n");
            break;
        case 'L':
            led = 0;
            pc.printf("L OK\n");
            break;
        }
    }
}
int main() {
    Thread thread(receiver);
    while(1) {
        myled = 1;
        wait(0.2);
        myled = 0;
        wait(0.2);
    }
}  
